## GstDeviceProviderFactory GstDeviceProviderFactory |

## Functions

GstDeviceProviderFactory * | gst_device_provider_factory_find ()
GstDeviceProvider * | gst_device_provider_factory_get ()
GstDeviceProvider * | gst_device_provider_factory_get_by_name ()
GType | gst_device_provider_factory_get_device_provider_type ()
const gchar * | gst_device_provider_factory_get_metadata ()
gchar ** | gst_device_provider_factory_get_metadata_keys ()
gboolean | gst_device_provider_factory_has_classes ()
gboolean | gst_device_provider_factory_has_classesv ()
GList * | gst_device_provider_factory_list_get_device_providers ()

## Types and Values

| GstDeviceProviderFactory
| GstDeviceProviderFactoryClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPluginFeature
                    ╰── GstDeviceProviderFactory

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_device_provider_factory_find ()

    GstDeviceProviderFactory *
    gst_device_provider_factory_find (const gchar *name);

### gst_device_provider_factory_get ()

    GstDeviceProvider *
    gst_device_provider_factory_get (GstDeviceProviderFactory *factory);

### gst_device_provider_factory_get_by_name ()

    GstDeviceProvider *
    gst_device_provider_factory_get_by_name
                                   (const gchar *factoryname);

### gst_device_provider_factory_get_device_provider_type ()

    GType
    gst_device_provider_factory_get_device_provider_type
                                   (GstDeviceProviderFactory *factory);

### gst_device_provider_factory_get_metadata ()

    const gchar *
    gst_device_provider_factory_get_metadata
                                   (GstDeviceProviderFactory *factory,
                                    const gchar *key);

### gst_device_provider_factory_get_metadata_keys ()

    gchar **
    gst_device_provider_factory_get_metadata_keys
                                   (GstDeviceProviderFactory *factory);

### gst_device_provider_factory_has_classes ()

    gboolean
    gst_device_provider_factory_has_classes
                                   (GstDeviceProviderFactory *factory,
                                    const gchar *classes);

### gst_device_provider_factory_has_classesv ()

    gboolean
    gst_device_provider_factory_has_classesv
                                   (GstDeviceProviderFactory *factory,
                                    gchar **classes);

### gst_device_provider_factory_list_get_device_providers ()

    GList *
    gst_device_provider_factory_list_get_device_providers
                                   (GstRank minrank);

## Types and Values

### GstDeviceProviderFactory

    typedef struct _GstDeviceProviderFactory GstDeviceProviderFactory;

### GstDeviceProviderFactoryClass

    typedef struct _GstDeviceProviderFactoryClass GstDeviceProviderFactoryClass;